# Exception List Items

## GET /Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items

> List all items for an exception list

```json
{"openapi":"3.1.0","info":{"title":"Brand Exception Lists API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"ExceptionListItem":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the exception list item."},"Value":{"type":"string","description":"The CATEGORY or SKU value."},"Name":{"type":"string","description":"Display name for the item."},"MatchMode":{"type":"string","description":"How the value is matched against incoming actions.","enum":["EQ","REGEX"]},"ListId":{"type":"integer","description":"The unique identifier of the parent exception list."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the item was created."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this item in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items":{"get":{"operationId":"listExceptionListItems","tags":["Exception List Items"],"summary":"List all items for an exception list","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"ExceptionListId","in":"path","required":true,"description":"The unique identifier for the exception list.","schema":{"type":"integer"}},{"name":"Value","in":"query","description":"Filter items by their 'Value' (the SKU or Category).","schema":{"type":"string"}}],"responses":{"200":{"description":"A list of exception list item objects.","content":{"application/json":{"schema":{"type":"object","properties":{"ExceptionListItems":{"type":"array","description":"The list of items in this exception list.","items":{"$ref":"#/components/schemas/ExceptionListItem"}}}}}}}}}}}}
```

## Create an item for an exception list

> Create an item manually or via CSV/XLSX file upload.

```json
{"openapi":"3.1.0","info":{"title":"Brand Exception Lists API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"StatusUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected resource."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items":{"post":{"operationId":"createExceptionListItem","tags":["Exception List Items"],"summary":"Create an item for an exception list","description":"Create an item manually or via CSV/XLSX file upload.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"ExceptionListId","in":"path","required":true,"description":"The unique identifier for the exception list.","schema":{"type":"integer"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","required":["Value"],"properties":{"Value":{"type":"string","description":"The CATEGORY or SKU value."},"Name":{"type":"string","description":"Display name for the item."},"Upsert":{"type":"boolean","description":"If true, updates an existing item with the same 'Value'."}}}},"multipart/form-data":{"schema":{"type":"object","properties":{"File":{"type":"string","format":"binary","description":"A .CSV or .XLSX file containing the items to add."},"Upsert":{"type":"boolean","description":"If true, updates existing items where 'Value' matches."}}}}},"description":"To create a single item, send `Value` (and optionally `Name`) as `application/x-www-form-urlencoded`.\n\nTo bulk-upload items from a `.csv` or `.xlsx` file, switch the content type to `multipart/form-data` and send the `File` parameter."},"responses":{"200":{"description":"The item(s) were created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUriResponse"}}}}}}}}}
```

## DELETE /Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items

> Delete all items in an exception list

```json
{"openapi":"3.1.0","info":{"title":"Brand Exception Lists API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items":{"delete":{"operationId":"deleteAllExceptionListItems","tags":["Exception List Items"],"summary":"Delete all items in an exception list","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"ExceptionListId","in":"path","required":true,"description":"The unique identifier for the exception list.","schema":{"type":"integer"}}],"responses":{"200":{"description":"All items were deleted successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates that the items were deleted."}}}}}}}}}}}
```

## Replace all items in an exception list

> Replaces items by uploading a .CSV or .XLSX file.

```json
{"openapi":"3.1.0","info":{"title":"Brand Exception Lists API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"StatusUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected resource."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items":{"patch":{"operationId":"replaceExceptionListItems","tags":["Exception List Items"],"summary":"Replace all items in an exception list","description":"Replaces items by uploading a .CSV or .XLSX file.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"ExceptionListId","in":"path","required":true,"description":"The unique identifier for the exception list.","schema":{"type":"integer"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","required":["File"],"properties":{"File":{"type":"string","format":"binary","description":"A .CSV or .XLSX file containing the new items."}}}}}},"responses":{"200":{"description":"The items were replaced successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUriResponse"}}}}}}}}}
```

## GET /Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items/{ItemId}

> Retrieve an exception list item

```json
{"openapi":"3.1.0","info":{"title":"Brand Exception Lists API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"ExceptionListItem":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the exception list item."},"Value":{"type":"string","description":"The CATEGORY or SKU value."},"Name":{"type":"string","description":"Display name for the item."},"MatchMode":{"type":"string","description":"How the value is matched against incoming actions.","enum":["EQ","REGEX"]},"ListId":{"type":"integer","description":"The unique identifier of the parent exception list."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the item was created."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this item in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items/{ItemId}":{"get":{"operationId":"getExceptionListItem","tags":["Exception List Items"],"summary":"Retrieve an exception list item","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"ExceptionListId","in":"path","required":true,"description":"The unique identifier for the exception list.","schema":{"type":"integer"}},{"name":"ItemId","in":"path","required":true,"description":"The unique identifier for the exception list item.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single exception list item object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionListItem"}}}}}}}}}
```

## DELETE /Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items/{ItemId}

> Delete an item for an exception list

```json
{"openapi":"3.1.0","info":{"title":"Brand Exception Lists API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items/{ItemId}":{"delete":{"operationId":"deleteExceptionListItem","tags":["Exception List Items"],"summary":"Delete an item for an exception list","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"ExceptionListId","in":"path","required":true,"description":"The unique identifier for the exception list.","schema":{"type":"integer"}},{"name":"ItemId","in":"path","required":true,"description":"The unique identifier for the exception list item.","schema":{"type":"integer"}}],"responses":{"200":{"description":"The item was deleted successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates that the item was deleted."}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/exception-lists/exception-list-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
